package com.transcore.connexion.sample.alarm;

import com.tcore.www.tfmialarmmatch_wsdl.TfmiAlarmMatchServiceSkeletonInterface;
import com.tcore.www.tfmialarmmatch_xsd.AlarmMatchNotification;
import com.tcore.www.tfmialarmmatch_xsd.AlarmMatchNotificationDocument;
import com.tcore.www.tfmialarmmatch_xsd.AlarmResponseDocument;
import com.tcore.www.tfmialarmmatch_xsd.AlarmTerminationNotification;
import com.tcore.www.tfmialarmmatch_xsd.AlarmTerminationNotificationDocument;
import com.transcore.connexion.sample.BaseSampleClient;

/**
 * Implements the alarm match 'skeleton' interface generated by the Axis2 WSDL2Java tool. Prints alarm match
 * and alarm termination notifications to STDOUT.
 * 
 * @author Aaron Dunlop
 * 
 */
public class SampleAlarmMatchService implements TfmiAlarmMatchServiceSkeletonInterface {

    @Override
    public AlarmResponseDocument alarmMatchNotification(final AlarmMatchNotificationDocument alarmMatchDoc) {

        final AlarmMatchNotification notification = alarmMatchDoc.getAlarmMatchNotification();
        System.out.print(notification.getCancelled() ? "** Canceled: " : "** Match: ");
        System.out.println(BaseSampleClient.summaryString(notification.getMatch()));

        final AlarmResponseDocument alarmResponseDoc = AlarmResponseDocument.Factory.newInstance();
        alarmResponseDoc.addNewAlarmResponse();
        return alarmResponseDoc;
    }

    @Override
    public AlarmResponseDocument alarmTerminationNotification(
            final AlarmTerminationNotificationDocument alarmTerminationDoc) {

        final AlarmTerminationNotification notification = alarmTerminationDoc
                .getAlarmTerminationNotification();
        System.out.format("** Terminated: AlarmId %s (AssetId %s): %s\n", notification.getAlarmId(),
                notification.getBasisAssetId(), notification.getReason().toString());

        final AlarmResponseDocument alarmResponseDoc = AlarmResponseDocument.Factory.newInstance();
        alarmResponseDoc.addNewAlarmResponse();
        return alarmResponseDoc;
    }
}
